<template>
    <app-layout>
        <div class="row justify-content-center">
            <div class="col-lg-6">
                <h1 class="h2 mb-3">Manage Skins</h1>
                
                <div class="list-group mb-3">
                    <inertia-link v-for="skin in skins" :key="skin.id" :href="route('server.skins.skinGet', skin.id)" class="list-group-item list-group-item-action">
                        {{ skin.name }}
                    </inertia-link>
                </div>
                
                <form @submit.prevent="formSkin.post(route('server.skins.skinCreate'))">
                    <form-field text="New Skin" id="inputSkinName" :errors="formSkin.errors.name" v-slot="slotProps">
                        <form-input v-model="formSkin.name" v-bind="slotProps" placeholder="Name" />
                        <form-button :disabled="formSkin.processing">Create</form-button>
                    </form-field>
                </form>
                
                <h1 class="h2 mb-3">Manage Skin Groups</h1>
                
                <div class="list-group mb-3">
                    <inertia-link v-for="group in groups" :key="group.id" :href="route('server.skins.groupGet', group.id)" class="list-group-item list-group-item-action">
                        {{ group.name }}
                    </inertia-link>
                </div>
                
                <form @submit.prevent="formGroup.post(route('server.skins.groupCreate'))">
                    <form-field text="New Group" id="inputGroupName" :errors="formGroup.errors.name" v-slot="slotProps">
                        <form-input v-model="formGroup.name" v-bind="slotProps" placeholder="Name" />
                        <form-button :disabled="formGroup.processing">Create</form-button>
                    </form-field>
                </form>
            </div>
        </div>
    </app-layout>
</template>

<script>
    import { useForm } from '@inertiajs/inertia-vue3'
    import AppLayout from '@/Layouts/AppLayout'
    import FormInput from '@/Components/Form/FormInput'
    import FormField from '@/Components/Form/FormField'
    import FormButton from '@/Components/Form/FormButton'
    
    export default {
        props: {
            'skins': Array,
            'groups': Array,
        },
        
        components: {
            AppLayout,
            FormInput,
            FormField,
            FormButton,
        },
        
        setup () {
            const formSkin = useForm({
                name: null,
            })
            
            const formGroup = useForm({
                name: null,
            })


            return {
                formSkin,
                formGroup,
            }
        },
    }
</script>